#ifndef MUSTUXAUDIODEVICEMAPPER_HH
#define MUSTUXAUDIODEVICEMAPPER_HH

#ifdef _ALSA
#include <alsa/asoundlib.h>
#endif

#include <qstring.h>

namespace MustuxAudioDeviceMapper
        {
        static const int MAX_BUSES = 4;        
        static const int REC=1;
        static const int PLAY=2;
        static const int DEFAULT_BUS=0;
        static const int ALL_BUSES=-1;
        int init(int pFps=20);
        void set_fps(int pFps);
        int open_device(int b, int pMode, int pRate, int pChannels, int pBitDepth);
        int play_frag(int b, char* data);
        int rec_frag(int b, char* data);
        int get_fragment_size(int b);
        int close_device(int b);
        int get_number_of_buses();
        QString get_bus_name(int b);
        QString get_bus_device(int b);
        };


#endif





