/**************************************************************************************

        MUSTUXLIB - THE COMMON LIBRARY FOR ALL MUSTUX APPLICATIONS
        AUTHOR : See AUTHORS file for details

        This software is distributed under the terms of the GNU General Public License
        as specified in the COPYING file.

***************************************************************************************/

#ifndef MUSTUXINTERFACE_HH
#define MUSTUXINTERFACE_HH

#include <qwidget.h>
#include <qstring.h>

class MustuxJogMouseBoard;
class MustuxJogMouseBoardMessage;
class MustuxLcd;

class MustuxInterface : public QWidget
        {
        public:
                MustuxInterface(QWidget *parent);
                ~MustuxInterface();

                void info(QString mesg);
                virtual int process_jmb_action( MustuxJogMouseBoardMessage* m);
                void set_default_lcd(MustuxLcd* pLcd);
                MustuxLcd* defaultLcd;

        protected :
                MustuxJogMouseBoard* jmb;
                void keyPressEvent ( QKeyEvent * ); // testing
                void keyReleaseEvent ( QKeyEvent * ); // testing
        };


#include "MustuxJogMouseBoard.hh"
#include "MustuxJogMouseBoardMessage.hh"
#include "MustuxLcd.hh"

#endif


// eof

